%{?nodejs_find_provides_and_requires}

%global packagename estree-walker

%global bootstrap 0

%global enable_tests 1

Name:		nodejs-estree-walker
Version:	0.5.2
Release:	4%{?dist}
Summary:	Traverse an ESTree-compliant AST

License:	MIT
URL:		https://github.com/Rich-Harris/estree-walker
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source{1-9} are generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	tests-%{version}.tar.bz2
Source10:	dl-tests.sh
# rollup config
Source11:	https://raw.githubusercontent.com/Rich-Harris/estree-walker/v%{version}/rollup.config.js
# license
Source12:	LICENSE-MIT.txt


BuildArch:	noarch
%if 0%{?fedora} >= 19
ExclusiveArch: %{nodejs_arches} noarch
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:	nodejs-packaging
BuildRequires:	npm(rollup)

%if 0%{?enable_tests}
BuildRequires:	mocha
BuildRequires:	npm(buble)
%endif

%description
Traverse an ESTree-compliant AST


%prep
%autosetup -n package
# setup the tests
%autosetup -T -D -a 1 -n package
cp -p %{SOURCE11} .
cp -p %{SOURCE12} .


%build
%if !%{?bootstrap}
rm dist/*
rollup -i src/estree-walker.js -f umd -n estreeWalker -m -o dist/estree-walker.umd.js
rollup -i src/estree-walker.js -f es -m -o dist/estree-walker.es.js
%endif

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json dist/ \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/buble test/test.js -o test/test.es.js
NODE_ENV=test %{_bindir}/mocha -R spec test/test.es.js
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE-MIT.txt
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue May 29 2018 Jared K. Smith <jsmith@fedoraproject.org> - 0.5.2-1
- Update to upstream 0.5.2 release

* Tue Sep 26 2017 Jared Smith <jsmith@fedoraproject.org> - 0.5.0-1
- Update to uptream 0.5.0 release

* Mon Aug  1 2016 Jared Smith <jsmith@fedoraproject.org> - 0.2.1-1
- Initial packaging
